#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 crypto-pubkey
version:              0.2.8
visibility:           public
id:                   crypto-pubkey-0.2.8-KPZM7dNRMkABH8ZT8bkX5k
key:                  crypto-pubkey-0.2.8-KPZM7dNRMkABH8ZT8bkX5k
license:              BSD-3-Clause
copyright:            Vincent Hanquez <vincent@snarc.org>
maintainer:           Vincent Hanquez <vincent@snarc.org>
author:               Vincent Hanquez <vincent@snarc.org>
homepage:             https://github.com/vincenthz/hs-crypto-pubkey
synopsis:             Public Key cryptography
description:
    Public Key cryptography

    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.

    Also have primitive support for Diffie Hellman, and ElGamal encryption

category:             Cryptography
abi:                  10b985b23d5dece4cd79234fa3460297
exposed:              True
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim

hidden-modules:
    Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
    Crypto.PubKey.Internal

import-dirs:          /usr/lib/ghc-8.10.4/site-local/crypto-pubkey-0.2.8
library-dirs:         /usr/lib/ghc-8.10.4/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/crypto-pubkey-0.2.8
hs-libraries:         HScrypto-pubkey-0.2.8-KPZM7dNRMkABH8ZT8bkX5k
depends:
    base-4.14.1.0 byteable-0.1.1-2tCrGdFfJISCmoPhB610i6
    bytestring-0.10.12.0 crypto-numbers-0.2.7-Hy9ct0WqzNgCA5Fl6b1UsR
    crypto-pubkey-types-0.4.3-Ee6EJ3ZNODFFykNeJWSSPf
    crypto-random-0.0.9-J66kJA80KN0CGyu0SiSuOp
    cryptohash-0.11.9-48Ho3yzHJdg26PiFgUHF2M

haddock-interfaces:
    /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock

haddock-html:         /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

